Package com.independentsoft.office.word.sections

# Class ColumnDefinitions

java.lang.Object
com.independentsoft.office.word.sections.ColumnDefinitions

public class ColumnDefinitions extends Object
The Class ColumnDefinitions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColumnDefinitions()`
  Instantiates a new column definitions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ColumnDefinitions`
  `clone()`
  `List<SingleColumn>`
  `getColumns()`
  Gets the columns.
  `ExtendedBoolean`
  `getDrawLineBetweenColumns()`
  Gets the draw line between columns.
  `ExtendedBoolean`
  `getEqualWidth()`
  Gets the equal width.
  `int`
  `getEqualWidthColumnsCount()`
  Gets the equal width columns count.
  `int`
  `getSpace()`
  Gets the space.
  `void`
  `setDrawLineBetweenColumns​(ExtendedBoolean drawLineBetweenColumns)`
  Sets the draw line between columns.
  `void`
  `setEqualWidth​(ExtendedBoolean equalWidth)`
  Sets the equal width.
  `void`
  `setEqualWidthColumnsCount​(int equalWidthColumnsCount)`
  Sets the equal width columns count.
  `void`
  `setSpace​(int space)`
  Sets the space.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ColumnDefinitions

    public ColumnDefinitions()
    Instantiates a new column definitions.

- ## Method Details

  - ### clone

    public ColumnDefinitions clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getColumns

    public List<SingleColumn> getColumns()
    Gets the columns.
    Returns:
      the columns

  - ### getEqualWidth

    public ExtendedBoolean getEqualWidth()
    Gets the equal width.
    Returns:
      the equal width

  - ### setEqualWidth

    public void setEqualWidth​(ExtendedBoolean equalWidth)
    Sets the equal width.
    Parameters:
      `equalWidth` - the new equal width

  - ### getEqualWidthColumnsCount

    public int getEqualWidthColumnsCount()
    Gets the equal width columns count.
    Returns:
      the equal width columns count

  - ### setEqualWidthColumnsCount

    public void setEqualWidthColumnsCount​(int equalWidthColumnsCount)
    Sets the equal width columns count.
    Parameters:
      `equalWidthColumnsCount` - the new equal width columns count

  - ### getDrawLineBetweenColumns

    public ExtendedBoolean getDrawLineBetweenColumns()
    Gets the draw line between columns.
    Returns:
      the draw line between columns

  - ### setDrawLineBetweenColumns

    public void setDrawLineBetweenColumns​(ExtendedBoolean drawLineBetweenColumns)
    Sets the draw line between columns.
    Parameters:
      `drawLineBetweenColumns` - the new draw line between columns

  - ### getSpace

    public int getSpace()
    Gets the space.
    Returns:
      the space

  - ### setSpace

    public void setSpace​(int space)
    Sets the space.
    Parameters:
      `space` - the new space